Skip to main content
Versionv1

Audio Manager API (v1)

Download OpenAPI specification:Download

Prompts

Get Directories

Get only directories, and subdirectories in the given account's audio space.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>

Unique identifier of the voice account or logical account

appAccountUsername
required
string

Username of the app account, this is case-sensitive

Responses

Get Audio Prompts

Get files in the account's audio folder, or at the specified path.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>

Unique identifier of the voice account or logical account

appAccountUsername
required
string

Username of the app account, this is case-sensitive

path
required
string

The specified directory path, or the file to be downloaded

query Parameters
Skip
integer <int32>

Skip

Take
integer <int32>

Take

q
string

Search

Responses

Create Prompt

Upload a file to the specified path, or create a directory.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>

Unique identifier of the voice account or logical account

appAccountUsername
required
string

Username of the app account, this is case-sensitive

path
required
string

The specified path of to be uploaded file

Request Body schema: multipart/form-data
promptFiles
Array of strings <binary> [ items <binary > ]

Responses

Move Prompts

Move or rename files or directories.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>

Unique identifier of the voice account or logical account

appAccountUsername
required
string

Username of the app account, this is case-sensitive

Request Body schema:

Combinations that match a source file with a new destination. E.g. { 'my_audio.wav': 'destination_folder/my_audio.wav' }

property name*
additional property
string

Responses

Request samples

Content type
{
  • "property1": "string",
  • "property2": "string"
}

Delete Prompts

Delete the file or directory at the specified paths. Removed files cannot be recovered.

Authorizations:
X-CM-PRODUCTTOKEN
path Parameters
accountGuid
required
string <uuid>

Unique identifier of the voice account or logical account

appAccountUsername
required
string

Username of the app account, this is case-sensitive

Request Body schema:

The specified paths or files to be removed

Array
string

Responses

Request samples

Content type
[
  • "string"
]